use std::path::PathBuf;

use viperid::VResult;

use crate::go_builder::GoBuilder;

mod go_builder;

fn main() -> VResult<()> {
    let builder = GoBuilder::new(&PathBuf::from("example_project"))?;
    let wasm = builder.build()?;
    player::run_entry_point(&wasm)?;
    Ok(())
}
